## choose-mirror 2.39ubuntu4.1

=== Makefile ===
export USE_HTTP=1
export USE_HTTPS=1
#export USE_FTP=1
USE_FTP_MANUAL=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS=-Wall -g -D_GNU_SOURCE -DARCH_TEXT='"$(DEB_HOST_ARCH)"'
templates=debian/choose-mirror-bin.templates-in

ifeq (1,${USE_HTTP})
CFLAGS:=$(CFLAGS) -DWITH_HTTP
templates:=$(templates) debian/choose-mirror-bin.templates.http-in
endif
ifeq (1,${USE_HTTPS})
CFLAGS:=$(CFLAGS) -DWITH_HTTPS
templates:=$(templates) debian/choose-mirror-bin.templates.https-in
endif
ifeq (1,${USE_FTP})
CFLAGS:=$(CFLAGS) -DWITH_FTP
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.sel-in
endif
ifeq (1,${USE_FTP_MANUAL})
CFLAGS:=$(CFLAGS) -DWITH_FTP_MANUAL
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
endif
templates:=$(templates) debian/choose-mirror-bin.templates.both-in

OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=choose-mirror
LIBS=-ldebconfclient -ldebian-installer

# Derivative distributions may want to change these.
#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
MASTERLIST=Mirrors.masterlist.ubuntu

ifdef DEBUG
CFLAGS:=$(CFLAGS) -DDODEBUG
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

all: $(BIN) debian/choose-mirror-bin.templates

ifdef MIRRORLISTURL
# Freshen Mirrors.masterlist file, but allow failure.
$(MASTERLIST): force-try-update
	if [ "$$ONLINE" != n ]; then \
		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
		   test -s $@.new; then \
        		mv $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
	fi
force-try-update: ;
endif

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab

debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httplist $^

debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httpslist $^

debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist ftplist $^

debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
	# Grab ISO codes from iso-codes package
	./get-iso-codes
	# Build the templates
	./mktemplates $(templates)

mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi

mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi

mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi

choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)

strip: $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean strip debian/choose-mirror-bin.templates
	ls -l $(BIN)

ftp: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_FTP -DSMALL
ftp: clean strip
	ls -l $(BIN)

http: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTP -DSMALL
http: clean strip
	ls -l $(BIN)

https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
https: clean strip
	ls -l $(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
	rm -f demo demo.templates
	rm -rf debian/iso-codes/ debian/pobuild*/
	rm -f debian/iso_3166.tab

reallyclean: clean
	rm -f debian/choose-mirror-bin.templates
ifdef MIRRORLISTURL
	rm -f Mirrors.masterlist
endif

.PHONY: demo
demo: choose-mirror demo.templates
	ln -sf choose-mirror demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo

demo.templates: debian/choose-mirror-bin.templates
	po2debconf $< > $@

=== debian/changelog ===
choose-mirror (2.39ubuntu4.1) precise; urgency=medium

  * Add HTTPS support (LP: #1135163).  This is enabled by default here as it
    isn't unreasonably large, but won't be usable unless GNU wget has been
    added to the initrd.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2014 16:54:16 +0100

choose-mirror (2.39ubuntu4) precise; urgency=low

  * The fix in choose-mirror 2.39ubuntu3 for cases where the selected
    country has no mirror broke preseeding of mirror/country=manual.  Fix
    that.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Feb 2012 11:24:37 +0000

choose-mirror (2.39ubuntu3) precise; urgency=low

  * Manage memory for 'country' variable more carefully.
  * If the selected country has no mirror (excluding all-countries mirrors),
    then fall back to the default (LP: #919356).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Feb 2012 13:54:29 +0000

choose-mirror (2.39ubuntu2) precise; urgency=low

  * Exclude all-countries mirrors such as ports.ubuntu.com when determining
    whether there is a mirror in the country specified in
    debian-installer/country (LP: #919356).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jan 2012 01:27:36 +0000

choose-mirror (2.39ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
  * Switch to precise by default.
  * Add armhf support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 23:02:38 +0100

choose-mirror (2.38ubuntu2) oneiric; urgency=low

  * Only default mirror/country to the value of debian-installer/country if
    the latter has any mirrors; otherwise, fall through to defaulting to GB
    (LP: #756719).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2011 11:50:47 +0100

choose-mirror (2.38ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
  * Switch to oneiric by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 13:50:57 +0100

## choose-mirror 2.39ubuntu4.1+ppa2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 export USE_HTTP=1
-export USE_HTTPS=1
 #export USE_FTP=1
 USE_FTP_MANUAL=1
 
@@ -11,10 +10,6 @@
 ifeq (1,${USE_HTTP})
 CFLAGS:=$(CFLAGS) -DWITH_HTTP
 templates:=$(templates) debian/choose-mirror-bin.templates.http-in
-endif
-ifeq (1,${USE_HTTPS})
-CFLAGS:=$(CFLAGS) -DWITH_HTTPS
-templates:=$(templates) debian/choose-mirror-bin.templates.https-in
 endif
 ifeq (1,${USE_FTP})
 CFLAGS:=$(CFLAGS) -DWITH_FTP
@@ -33,7 +28,7 @@
 
 # Derivative distributions may want to change these.
 #MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.ubuntu
+MASTERLIST=Mirrors.masterlist.lliurex
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -63,13 +58,10 @@
 debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
-debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
-	./mirrorlist httpslist $^
-
 debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
@@ -78,13 +70,10 @@
 mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
-mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
-	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi
-
 mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
-choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h
+choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
 $(BIN): $(OBJS)
 	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)
@@ -105,13 +94,9 @@
 http: clean strip
 	ls -l $(BIN)
 
-https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
-https: clean strip
-	ls -l $(BIN)
-
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
-	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
+	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab

=== debian/changelog ===
choose-mirror (2.39ubuntu4.1+ppa2) precise; urgency=high

  * Ubuntu is changed to LliureX at description 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 28 Oct 2013 10:06:21 +0100

choose-mirror (2.39ubuntu4+ppa1) precise; urgency=high

  * Updated changes to lliurex.net

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 28 Oct 2013 09:08:05 +0100

## choose-mirror 2.40ubuntu1

=== debian/changelog ===
choose-mirror (2.40ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2012 11:29:20 +0100

choose-mirror (2.40) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Manage memory for 'country' variable more carefully.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 07:24:31 +0200

choose-mirror (2.39ubuntu5) quantal; urgency=low

  * Switch to quantal by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 12:28:42 +0100

## choose-mirror 2.45

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.lliurex
+MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG

=== debian/changelog ===
choose-mirror (2.45) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Malayalam (ml.po) by Praveen Arimbrathodiyil

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Apr 2013 10:47:25 +0200

choose-mirror (2.44) unstable; urgency=low

  [ Updated translations ]
  * Serbian (sr.po) by Karolina Kalic

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Oct 2012 07:28:42 +0200

choose-mirror (2.43) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 10:31:31 +0200

choose-mirror (2.42) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Oct 2012 14:39:55 +0200

choose-mirror (2.41) unstable; urgency=low

  * Replace XC-Package-Type by package-type.

  [ Updated translations ]
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Sep 2012 13:50:51 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: http://git.debian.org/?p=d-i/choose-mirror.git
Vcs-Git: git://git.debian.org/d-i/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.45ubuntu1

=== debian/changelog ===
choose-mirror (2.45ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch to saucy by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 00:35:06 +0100

choose-mirror (2.44ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch to raring by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 13:00:04 +0000

## choose-mirror 2.57ubuntu3

=== debian/changelog ===
choose-mirror (2.57ubuntu3) wily; urgency=medium

  * Switch from vivid to wily as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 May 2015 01:26:20 -0600

choose-mirror (2.57ubuntu2) vivid; urgency=medium

  * Switch from utopic to vivid as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Oct 2014 23:34:48 -0600

choose-mirror (2.57ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch to utopic by default (LP: #1327825).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2014 13:45:01 +0100

choose-mirror (2.57) unstable; urgency=medium

  [ Paul Wise ]
  * Update Mirrors.masterlist

 -- Christian Perrier <bubulle@debian.org>  Thu, 29 May 2014 11:38:52 +0200

choose-mirror (2.56) unstable; urgency=medium

  [ Colin Watson ]
  * Disable echoing of check-masterlist commands, so that the warning
    message in the echoed shell commands doesn't confuse Jenkins.

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 14:31:17 +0100

choose-mirror (2.55ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Feb 2014 15:14:37 +0000

choose-mirror (2.55) unstable; urgency=medium

  * Add HTTPS support (LP: #1135163).  This is enabled by default here as it
    isn't unreasonably large, but won't be usable unless GNU wget has been
    added to the initrd.
  * Update Mirrors.masterlist.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Feb 2014 14:16:51 +0000

choose-mirror (2.54) unstable; urgency=low

  * Update Mirrors.masterlist
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Jan 2014 22:41:32 +0100

choose-mirror (2.53) unstable; urgency=low

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi

 -- Cyril Brulebois <kibi@debian.org>  Tue, 10 Dec 2013 00:02:44 +0100

choose-mirror (2.52) unstable; urgency=low

  [ Colin Watson ]
  * Make check-masterlist a no-op target if MIRRORLISTURL is undefined.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Oct 2013 06:38:42 +0200

choose-mirror (2.50ubuntu2) trusty; urgency=medium

  * Add ppc64el support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jan 2014 14:38:03 +0000

choose-mirror (2.50ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.


## choose-mirror 2.60

=== debian/changelog ===
choose-mirror (2.60) unstable; urgency=medium

  * Update Mirrors.masterlist
  * This update includes dropping cdn.debian.net (Closes: #774466).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Jan 2015 22:13:18 +0100

choose-mirror (2.59) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:47:42 +0200

choose-mirror (2.58) unstable; urgency=medium

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

  [ Colin Watson ]
  * Strip off any scheme part found at the start of mirror/*/hostname
    (closes: #706191).
  
  [ Aurelien Jarno ]
  * Update Mirrors.masterlist, adding arm64 and ppc64el.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Aug 2014 23:28:30 +0200

## choose-mirror 2.61

=== debian/changelog ===
choose-mirror (2.61) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Tue, 10 Mar 2015 13:11:59 +0100

## choose-mirror 2.62

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 export USE_HTTP=1
+export USE_HTTPS=1
 #export USE_FTP=1
 USE_FTP_MANUAL=1
 
@@ -10,6 +11,10 @@
 ifeq (1,${USE_HTTP})
 CFLAGS:=$(CFLAGS) -DWITH_HTTP
 templates:=$(templates) debian/choose-mirror-bin.templates.http-in
+endif
+ifeq (1,${USE_HTTPS})
+CFLAGS:=$(CFLAGS) -DWITH_HTTPS
+templates:=$(templates) debian/choose-mirror-bin.templates.https-in
 endif
 ifeq (1,${USE_FTP})
 CFLAGS:=$(CFLAGS) -DWITH_FTP
@@ -25,6 +30,7 @@
 OBJS=$(subst .c,.o,$(wildcard *.c))
 BIN=choose-mirror
 LIBS=-ldebconfclient -ldebian-installer
+STRIP=strip
 
 # Derivative distributions may want to change these.
 MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
@@ -50,6 +56,22 @@
 		fi; \
 	fi
 force-try-update: ;
+
+check-masterlist:
+	@if [ -d .git ] && which git >/dev/null 2>&1; then \
+		last=`git log --format=format:%at -- $(MASTERLIST)|head -1`; \
+		now=`date +%s`; \
+		if [ $$((now-last)) -gt $$((60*60*24*14)) ]; then \
+			printf "\n\n*** WARNING: $(MASTERLIST) was last committed more\n"; \
+			printf "*** than 2 weeks ago, maybe it needs an update?"; \
+			echo; echo; echo "You can try the following command to run a sync, and use git diff/git commit:"; \
+			echo "   make $(MASTERLIST)";\
+			sleep 5; \
+		fi; \
+	fi
+else
+check-masterlist:
+	:
 endif
 
 debian/iso_3166.tab:
@@ -58,10 +80,13 @@
 debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
+debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
+	./mirrorlist httpslist $^
+
 debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
@@ -70,16 +95,19 @@
 mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
+mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi
+
 mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
-choose-mirror.o: mirrors_http.h mirrors_ftp.h
+choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h
 
 $(BIN): $(OBJS)
 	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)
 
 strip: $(BIN)
-	strip --remove-section=.comment --remove-section=.note $(BIN)
+	$(STRIP) --remove-section=.comment --remove-section=.note $(BIN)
 
 # Size optimized and stripped binary target.
 small: CFLAGS:=-Os $(CFLAGS) -DSMALL
@@ -94,9 +122,13 @@
 http: clean strip
 	ls -l $(BIN)
 
+https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
+https: clean strip
+	ls -l $(BIN)
+
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
-	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
+	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab

=== debian/changelog ===
choose-mirror (2.62) unstable; urgency=medium

  * Update Mirrors.masterlist
  * This update includes adding httpredir.debian.org, which replaces
    http.debian.net using debian.org servers.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Apr 2015 12:17:22 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/choose-mirror.git
Vcs-Git: git://anonscm.debian.org/d-i/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.63+devuan1.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.63+devuan1.0) stable; urgency=medium

  * Bump version

 -- Daniel Reurich <daniel@centurion.net.nz>  Tue, 26 May 2015 11:00:45 +0000

choose-mirror (2.63+devuan0.1) unstable; urgency=medium
  
  * Setup Devuan mirror
  * take over maintainer-ship for Devuan package
  * update debian/control
  * update mirrors
  * fix template encoding

 -- Daniel Reurich <daniel@centurion.net.nz>  Tue, 26 May 2015 10:59:36 +0000

choose-mirror (2.63) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Only list releases the current arch is included in.  For example,
    don't display a "jessie" release for kfreebsd-* or hurd.
    (Closes: #783548)

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 May 2015 07:26:02 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.devuan.org/d-i/choose-mirror
Vcs-Git: git://git.devuan.org/d-i/choose-mirror.git

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.65ubuntu6+8.0trisquel2

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
-MASTERLIST=Mirrors.masterlist
+#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist.trisquel
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG

=== debian/changelog ===
choose-mirror (2.65ubuntu6+8.0trisquel2) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2018 01:25:18 +0000

choose-mirror (2.65ubuntu6) flidas; urgency=medium

  * Add s390x to CC.archive.trisquel.info.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 20:22:43 +0100

choose-mirror (2.65ubuntu5) flidas; urgency=medium

  * Add support for CC.archive.trisquel.info; using the same logic as
    CC.archive.trisquel.info for general country mirrors.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 11 Feb 2016 09:54:30 -0500

choose-mirror (2.65ubuntu4) flidas; urgency=medium

  * Add us.archive.trisquel.info mirror.
  * Add s390x to [us.]archive.trisquel.info mirrors.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 20:11:05 +0000

choose-mirror (2.65ubuntu3) flidas; urgency=high

  * Really set default to trisquel-ports, and set i386/amd64 overrides to
    "default" archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 18:00:37 +0000

choose-mirror (2.65ubuntu2) flidas; urgency=high

  * Set ports mirrors and sub-dir for s390x. LP: #1526778 LP: #1526777

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Dec 2015 21:13:38 +0000

choose-mirror (2.65ubuntu1) flidas; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Trisquel mirrors.
    - Trisquel branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Trisquel.
    - Pick CC.archive.trisquel.info (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      archive.trisquel.info instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.trisquel.info is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.trisquel.info setup by preseeding
      mirror/http/mirror to CC.archive.trisquel.info, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as archive.trisquel.info when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch from wily to flidas as the default.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 27 Oct 2015 13:05:59 -0400

choose-mirror (2.65) unstable; urgency=medium

  * Update Mirrors.masterlist

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jul 2015 10:40:25 +0200

choose-mirror (2.64) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Jun 2015 11:28:20 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Trisquel Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/choose-mirror.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/choose-mirror.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/choose-mirror/ubuntu

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.69ubuntu1

=== debian/changelog ===
choose-mirror (2.69ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian. Remaining changes: (LP: #1582219)
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    * Add support for CC.ports.ubuntu.com; using the same logic as
      CC.archive.ubuntu.com for general country mirrors.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Aug 2016 15:17:38 -0400

choose-mirror (2.69) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Sun, 26 Jun 2016 15:40:39 +0200

choose-mirror (2.68) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 May 2016 03:59:07 +0200

choose-mirror (2.67) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 18:31:05 +0100

choose-mirror (2.66) unstable; urgency=medium

  * Replace http:// with https:// in MIRRORLISTURL.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Dec 2015 00:34:02 +0100

choose-mirror (2.65ubuntu7) yakkety; urgency=medium

  * Switch from xenial to yakkety as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Apr 2016 05:59:23 -0600

choose-mirror (2.65ubuntu6) xenial; urgency=medium

  * Add s390x to CC.ports.ubuntu.com.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 20:22:43 +0100

choose-mirror (2.65ubuntu5) xenial; urgency=medium

  * Add support for CC.ports.ubuntu.com; using the same logic as
    CC.archive.ubuntu.com for general country mirrors.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 11 Feb 2016 09:54:30 -0500

choose-mirror (2.65ubuntu4) xenial; urgency=medium

  * Add us.ports.ubuntu.com mirror.
  * Add s390x to [us.]ports.ubuntu.com mirrors.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 20:11:05 +0000

choose-mirror (2.65ubuntu3) xenial; urgency=high

  * Really set default to ubuntu-ports, and set i386/amd64 overrides to
    "default" archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 18:00:37 +0000

choose-mirror (2.65ubuntu2) xenial; urgency=high

  * Set ports mirrors and sub-dir for s390x. LP: #1526778 LP: #1526777

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Dec 2015 21:13:38 +0000

choose-mirror (2.65ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch from wily to xenial as the default.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 27 Oct 2015 13:05:59 -0400

## choose-mirror 2.74

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.trisquel
+MIRRORLISTURL=https://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG

=== debian/changelog ===
choose-mirror (2.74) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Jan 2017 13:59:18 +0100

choose-mirror (2.73) unstable; urgency=medium

  * Update Mirrors.masterlist
  * Fix perl deprecation warnings by adding a backslash before each
    problematic character in mirrorlist script:
     - Unescaped left brace in regex is deprecated

 -- Cyril Brulebois <kibi@debian.org>  Wed, 19 Oct 2016 02:31:32 +0200

choose-mirror (2.72) unstable; urgency=medium

  * Fix FTBFS with -A builds (arch:all only), by only running the
    templates check when the relevant choose-mirror-bin directory
    exists.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Aug 2016 07:50:12 +0200

choose-mirror (2.71) unstable; urgency=critical

  * Check during the build that choose-mirror-bin's templates file isn't
    obviously broken, to avoid new occurrences of bad breakages like the
    issue fixed below.
  * Revert 0c8d7d077692349350a4798a4a52c6f399ce973c (part of the 2.70
    upload), which resulted in empty templates and in choose-mirror
    segfaults (Closes: #834383). Further changes related to po2debconf
    and intltool-merge will be tracked in a separate bug report.
  * Set urgency to critical accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Aug 2016 05:52:19 +0200

choose-mirror (2.70) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jul 2016 21:16:44 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/choose-mirror.git
Vcs-Git: https://anonscm.debian.org/git/d-i/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)
